# $Revision: 1.38.2.4 $, $Date: 2006/11/21 20:34:24 $
Summary:	Web based photo album viewer and creator
Summary(pl):	Przegldarka i generator albumw zdj w postaci stron WWW
Name:		gallery
Version:	1.5.5pl1
Release:	1
License:	GPL
Group:		Applications/Publishing
Source0:	http://downloads.sourceforge.net/gallery/%{name}-1.5.5-pl1.tar.gz
# Source0-md5:	d2f52d92776f47bf353787237607f23c
Source1:	http://dl.sourceforge.net/gallery/pl_PL-1.5.2.tar.gz
# Source1-md5:	1dd07a63d96299d8f5e4cc03342d318e
Source2:	%{name}-apache.conf
Patch0:		%{name}-PLD.patch
URL:		http://gallery.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	php(gettext)
Requires:	webapps
Requires:	webserver(php) >= 4.1.0
#Suggests:	apache(mod_rewrite)
#Suggests:	jhead
#Suggests:	jpegtran
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir	%{_datadir}/%{_webapp}

%description
Gallery is a photo album that includes a config wizard and lets users
create and maintain albums via an intuitive Web interface. Photo
management includes automatic thumbnail creation, image resizing,
rotation, ordering and more. Albums can have read, write, and caption
permissions per individual.

%description -l pl
Gallery jest albumem zdj, ktry posiadaj kreatora konfiguracji i
pozwala uytkownikom tworzy i zarzdza albumami przez intuicyjny
interfejs WWW. Zarzdzanie zdjciami umoliwia automatyczne tworzenie
miniatur, zmian wielkoci obrazw, obrt, zmian kolejnoci
wywietlania, itp. Albumy mog posiada indywidualne uprawnienia.

%package setup
Summary:	Gallery setup package
Summary(pl):	Pakiet do wstpnej konfiguracji Gallery
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description setup
Install this package to configure initial Gallery installation. You
should uninstall this package when you're done, as it considered
insecure to keep the setup files in place.

%description setup -l pl
Ten pakiet naley zainstalowa w celu wstpnej konfigurac Gallery po
pierwszej instalacji. Potem naley go odinstalowa, jako e
pozostawienie plikw instalacyjnych mogoby by niebezpieczne.

%prep
%setup -q -n %{name}
%patch0 -p1

tar zxf %{SOURCE1} -C locale
rm -f LICENSE.txt *.bat

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_sysconfdir},/var/lib/gallery/albums}

cp -a *.{php,inc,sh} $RPM_BUILD_ROOT%{_appdir}
cp -a classes contrib css docs help html html_wrap images $RPM_BUILD_ROOT%{_appdir}
cp -a includes java js layout lib locale platform skins tools $RPM_BUILD_ROOT%{_appdir}
# in /var because of setup/resetadmin file
cp -a setup $RPM_BUILD_ROOT/var/lib/gallery
ln -s /var/lib/gallery/setup $RPM_BUILD_ROOT%{_appdir}
ln -s %{_sysconfdir}/config.php $RPM_BUILD_ROOT%{_appdir}/config.php
rm -f $RPM_BUILD_ROOT%{_appdir}/{AUTHORS,ChangeLog*,README}

install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/config.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/htaccess
ln -s %{_sysconfdir}/htaccess $RPM_BUILD_ROOT%{_appdir}/.htaccess

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- %{name} < 1.5.2-0.13
/usr/sbin/webapp register httpd %{_webapp}
%service -q httpd reload

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog* README
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/htaccess
%dir %{_appdir}
%dir /var/lib/gallery
%dir %attr(770,root,http) /var/lib/gallery/albums
%{_appdir}/.htaccess
%{_appdir}/*.php
%{_appdir}/*.inc
%{_appdir}/classes
%{_appdir}/contrib
%{_appdir}/css
%{_appdir}/docs
%{_appdir}/html*
%{_appdir}/help
%{_appdir}/images
%{_appdir}/includes
%{_appdir}/java
%{_appdir}/js
%{_appdir}/layout
%{_appdir}/lib
%{_appdir}/platform
%{_appdir}/skins
%{_appdir}/tools

%dir %{_appdir}/locale
%{_appdir}/locale/en_US
%lang(pl) %{_appdir}/locale/pl_PL

%files setup
%defattr(644,root,root,755)
%attr(755,root,root) %{_appdir}/*.sh
%{_appdir}/setup
%{_appdir}/config.php
/var/lib/gallery/setup

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gallery.spec,v $
Revision 1.38.2.4  2006/11/21 20:34:24  glen
- update to 1.5.5pl1

Revision 1.38.2.3  2006/10/03 22:06:46  lmasko
- Updated to 1.5.4
- Polish translation updated to 1.5.2

Revision 1.38.2.2  2006/10/01 17:06:11  glen
- update webapp triggers due apache1 package split
- rel 3

Revision 1.38.2.1  2006/10/01 17:05:26  glen
- rel 2

Revision 1.38  2006/05/02 20:06:41  glen
- 1.5.3

Revision 1.37  2006/05/01 10:07:15  glen
- typo

Revision 1.36  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.35  2006/01/27 00:27:27  glen
- don't package po/ - development files for making translations

Revision 1.34  2006/01/27 00:22:32  glen
- cleanup

Revision 1.33  2006/01/27 00:22:00  glen
- updated to 1.5.2, fixes cross-site scripting vulnerability
- webapps support
- created -setup subpackage
- STBR

Revision 1.32  2005/12/21 10:53:57  blekot
- up to 1.5.1
- TODO done (bug seems to be fixed in this version)
- rel 1

Revision 1.31  2005/01/18 23:07:44  radzio
- md5

Revision 1.30  2005/01/18 23:03:13  radzio
- update to 1.4.4-pl4
- SEC fix
- STBR

Revision 1.29  2004/08/23 09:20:09  blues
- SECURITY note

Revision 1.28  2004/08/03 22:11:49  grzegol
- updated to 1.4.4

Revision 1.27  2004/04/30 21:06:08  grzegol
- updated to 1.4.3
- removed outdated dont_warn_about_missing_files patch

Revision 1.26  2004/02/13 12:41:42  grzegol
- updated to 1.4.2

Revision 1.25  2004/02/06 13:34:19  grzegol
- updated to 1.4.2-RC2
- added dont_warn_about_missing_files (don't warn about missing files, which
  are not provided in package)

Revision 1.24  2004/01/28 10:57:03  grzegol
- updated to 1.4.2-RC1
- this version fixes major security flaw!

Revision 1.23  2003/12/22 18:25:10  grzegol
- photo album instead of image viewer (dead project)
